<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);

	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
	include'../../conex_recreo.php';
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('REPORTE DE TOTALIZAR AMANACU');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();

$pdf->SetFont('helvetica', 'B', 20);
/*
$style = array(
	'position' => 'R',
	'align' => 'C',
	'stretch' => false,
	'fitwidth' => true,
	'cellfitalign' => '',
	//'border' => true,
	'padding' => 'auto',
	'fgcolor' => array(0,0,0),
	'bgcolor' => false, //array(255,255,255),
	'text' => true,
	'font' => 'helvetica',
	'fontsize' => 8,
	//'stretchtext' => 4
);*/
$fecha_actualxls=$_GET['fecha'];
//$fecha_actualxls='2024-08-16';
$codigo_x=$_GET['usuario'];
$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);
$consultar_sql_tasa=mysql_query("select * from  tabla_almacen where nombre='$fecha_actualxls'",$link);
$ver_consultar_sql_tasa=mysql_fetch_array($consultar_sql_tasa);
$valor_tasas_dolar=$ver_consultar_sql_tasa['ubicacion'];
							// TOTALIZADOR 
								$consultar_sql_tasa=mysql_query("select * from  tabla_almacen where nombre='$fecha_actualxls'",$link);
								$ver_consultar_sql_tasa=mysql_fetch_array($consultar_sql_tasa);
								$valor_tasas_dolar=$ver_consultar_sql_tasa['ubicacion'];
								
								$consultar_sql_ver_suma=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id,tipo_banco from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco!='16' and  tipo_banco!='99' and  tipo_banco!='100' ORDER BY id DESC ",$link);
								$ver_consultar_sql_ver_sumax1=mysql_fetch_array($consultar_sql_ver_suma);
								
								$consultar_sql_ver_sumax3=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' ORDER BY id DESC ",$link);
								$ver_consultar_sql_ver_sumax2=mysql_fetch_array($consultar_sql_ver_sumax3);
								
								$consultar_sql_ver_sumax3=mysql_query("select SUM(monto_factura),SUM(monto_dolares),eliminar,fecha_factura,id,SUM(peso_factura),tipo_documento from  tabla_factura_xls where eliminar='0' and fecha_factura='$fecha_actualxls' and tipo_documento='0' ORDER BY id DESC ",$link);
								$ver_consultar_sql_ver_sumax3=mysql_fetch_array($consultar_sql_ver_sumax3);
								
								$consultar_sql_ver_sumax_debito=mysql_query("select SUM(monto_factura),SUM(monto_dolares),eliminar,fecha_factura,id,SUM(peso_factura),tipo_documento from  tabla_factura_xls where eliminar='0' and fecha_registro_debito='$fecha_actualxls' and tipo_documento='1' ORDER BY id DESC ",$link);
								$ver_consultar_sql_ver_sumax3_debito=mysql_fetch_array($consultar_sql_ver_sumax_debito);								
								
									$total_factura_debito=number_format($ver_consultar_sql_ver_sumax3_debito['SUM(monto_dolares)'], 2, ',','.');
								
								$total_factura=$ver_consultar_sql_ver_sumax3['SUM(monto_dolares)'];
								
								$consultar_sql_ver_sumax4=mysql_query("select SUM(saldo_inicial) from  tabla_saldos_clientes_xls	",$link);
								$ver_consultar_sql_ver_sumax4=mysql_fetch_array($consultar_sql_ver_sumax4);
								$total_deuda=$ver_consultar_sql_ver_sumax4['SUM(saldo_inicial)']*(-1);

								//// CALCULO GLOBAL DE DEUDA Y INGRESOS PARA EL SALDO REAL
									$consultar_sql_ver_sumax3_deuda=mysql_query("select SUM(monto_factura),SUM(monto_dolares),eliminar,fecha_factura,id,tipo_documento from  tabla_factura_xls	 where eliminar='0'  ORDER BY id DESC ",$link);
									$ver_consultar_sql_ver_sumax3_deuda=mysql_fetch_array($consultar_sql_ver_sumax3_deuda);
									
									
									$saldo_total_positivo=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id from  tabla_anticipo_xls where eliminar='0'  ORDER BY id DESC ",$link);
									$ver_saldo_total_positivo=mysql_fetch_array($saldo_total_positivo);
									$saldo_positivo_anticipo=$ver_saldo_total_positivo['SUM(monto_dolar)'];
									
									
									$total_factura_gloval=$ver_consultar_sql_ver_sumax3_deuda['SUM(monto_dolares)'];
									$total_deuda_fcatura=$total_deuda+$total_factura_gloval;
									
									$resumen_total=($total_deuda_fcatura-$saldo_positivo_anticipo);
								//// FIN CALCULO 
								
								$tatal_deuda_total=$total_deuda+$total_factura; 
								$total_ingresos=number_format($ver_consultar_sql_ver_sumax1['SUM(monto_dolar)'], 2, ',','.');
								$total_facturador=number_format($ver_consultar_sql_ver_sumax3['SUM(monto_dolares)'], 2, ',','.');
								$total_deudar=number_format($resumen_total, 2, ',','.');

	$consultar_sql_ver_sumax234=mysql_query("select SUM(monto_dolar),eliminar,fecha_registro,tipo_banco from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco='16' ",$link);
	$ver_consultar_sql_ver_sumax224=mysql_fetch_array($consultar_sql_ver_sumax234);
	$suma_notas_credito=number_format($ver_consultar_sql_ver_sumax224['SUM(monto_dolar)'], 2, ',','.');	
	
	$consultar_sql_ver_sumax2345=mysql_query("select SUM(monto_dolar),eliminar,fecha_registro,tipo_banco from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco='99' and  tipo_banco='100'",$link);
	$ver_consultar_sql_ver_sumax2245=mysql_fetch_array($consultar_sql_ver_sumax2345);
	$suma_retenciones=number_format($ver_consultar_sql_ver_sumax2245['SUM(monto_dolar)'], 2, ',','.');

	$recreo=mysql_query("select SUM(peso_factura),SUM(Monto),fecha_factura from  tabla_factura_xls_2 where eliminar='0' and fecha_factura='$fecha_actualxls' and estatus='0' ",$link);
	$ver_recreo=mysql_fetch_array($recreo);
	
	$recreox_1=mysql_query("select SUM(peso_factura),SUM(Monto),fecha_factura from   tabla_factura_xls_2 where eliminar='0' and fecha_factura='$fecha_actualxls' and estatus='0'  and cod_producto='AB100'   ",$link);
	$ver_recreo_embutidos1=mysql_fetch_array($recreox_1);

	$recreox_2=mysql_query("select SUM(peso_factura),SUM(Monto),fecha_factura from   tabla_factura_xls_2 where eliminar='0' and fecha_factura='$fecha_actualxls' and estatus='0'  and cod_producto='AB101' ",$link);
	$ver_recreo_embutidos2=mysql_fetch_array($recreox_2);

	$recreox_3=mysql_query("select SUM(peso_factura),SUM(Monto),fecha_factura from   tabla_factura_xls_2 where eliminar='0' and fecha_factura='$fecha_actualxls' and estatus='0'  and cod_producto='B002'   ",$link);
	$ver_recreo_embutidos3=mysql_fetch_array($recreox_3);

	$recreox_4=mysql_query("select SUM(peso_factura),SUM(Monto),fecha_factura from   tabla_factura_xls_2 where eliminar='0' and fecha_factura='$fecha_actualxls' and estatus='0'  and cod_producto='B005'   ",$link);
	$ver_recreo_embutidos4=mysql_fetch_array($recreox_4);
	
	$recreox2=mysql_query("select SUM(peso_factura),SUM(Monto),fecha_factura from  tabla_factura_xls_2 where eliminar='0' and fecha_factura='$fecha_actualxls' and estatus='0' and cod_producto!='AB100' and cod_producto!='AB101' and cod_producto!='B002' and  cod_producto!='B005' and cod_producto!='SP0002' and  cod_producto!='SP0001' ",$link);
	$ver_recreo_matadero=mysql_fetch_array($recreox2);
	
	$recreox1=mysql_query("select SUM(peso_factura),SUM(Monto),fecha_factura from  tabla_factura_xls_2 where eliminar='0' and fecha_factura='$fecha_actualxls' and estatus='0' and  cod_producto='SP0002' and  cod_producto='SP0001'  ",$link);
	$ver_recreo_harina=mysql_fetch_array($recreox1);
	
	
	
	$monto_embutidora_rc='0';
	$peso_embutidora_rc_p=$ver_recreo_embutidos1['SUM(peso_factura)']+$ver_recreo_embutidos2['SUM(peso_factura)']+$ver_recreo_embutidos3['SUM(peso_factura)']+$ver_recreo_embutidos4['SUM(peso_factura)'];

	$monto_harina_rc='0';
	$peso_harina_rc_p=$ver_recreo_harina['SUM(peso_factura)'];

	$monto_matadero_rc='0';
	$peso_matadero_rc_p=$ver_recreo_matadero['SUM(peso_factura)'];
	
	
	
	$peso_rc=$ver_recreo['SUM(peso_factura)'];
	$peso_total=$peso_rc+$ver_consultar_sql_ver_sumax3['SUM(peso_factura)'];



	$consultar_suma_empresas=mysql_query("select SUM(peso_matadero),SUM(peso_embutidora),SUM(monto_servicios),SUM(peso_servicios),SUM(peso_harina),SUM(monto_matadero),SUM(monto_embutidora),SUM(monto_harina),eliminar,fecha_factura,id,tipo_documento from  tabla_factura_xls	 where eliminar='0' and fecha_factura='$fecha_actualxls' AND tipo_documento='0' ORDER BY id DESC ",$link);
	$ver_consultar_suma_empresas=mysql_fetch_array($consultar_suma_empresas);
	
	$monto_servicio_m=$ver_consultar_suma_empresas['SUM(monto_servicios)'];
	$monto_harina_m=$ver_consultar_suma_empresas['SUM(monto_harina)'];
	$monto_matadero_m=$ver_consultar_suma_empresas['SUM(monto_matadero)'];
	$monto_embutidora_m=$ver_consultar_suma_empresas['SUM(monto_embutidora)'];
	
	$peso_servicio_p=$ver_consultar_suma_empresas['SUM(peso_servicios)'];
	$peso_matadero_p=$ver_consultar_suma_empresas['SUM(peso_matadero)'];
	$peso_harina_p=$ver_consultar_suma_empresas['SUM(peso_harina)'];
	$peso_embutidora_p=$ver_consultar_suma_empresas['SUM(peso_embutidora)'];
	
		
$total_detalle_matadero=$monto_matadero_m+$monto_matadero_rc;
$total_detalle_servicio=$monto_servicio_m;
$total_detalle_harina=$monto_harina_m+$monto_harina_rc;
$total_detalle_embutidora=$monto_embutidora_m+$monto_embutidora_rc;

$total_detalle_matadero_p=$peso_matadero_p+$peso_matadero_rc_p;
$total_detalle_harina_p=$peso_harina_p+$peso_harina_rc_p;
$total_detalle_embutidora_p=$peso_embutidora_p+$peso_embutidora_rc_p;
$total_detalle_servicio_p=$peso_servicio_p;

$suma_m_monto=$monto_harina_m+$monto_matadero_m+$monto_embutidora_m+$monto_servicio_m;
$suma_rc_monto=$monto_matadero_rc+$monto_harina_rc+$monto_embutidora_rc;
$suma_total_monto=$suma_m_monto+$suma_rc_monto;

$suma_m_peso=$peso_matadero_p+$peso_harina_p+$peso_embutidora_p+$peso_servicio_p;
$suma_rc_peso=$peso_matadero_rc_p+$peso_harina_rc_p+$peso_embutidora_rc_p;
$suma_total_peso=$suma_m_peso+$suma_rc_peso;



$html1 ='
<h1>AMANACU</h1><br>
<b>REPORTE TOTALIZADOR</b>  IMPRESO POR: '.$ver_usuariosx['descripcion'].'<br><br>
<table width="100%" border="0">
  <tr>
    <td>FECHA: '.$fecha_actualxls.'</td>
    <td>HORA: '.$hora_reporte=date('h:i:s A').'</td>
    <td style="background-color:#d8d8d8;" >TASA <b>B.C.V</b>: '.$valor_tasas_dolar.' Bs.</td>
  </tr>
</table>
';
 $html4='
 <table border="0">
	<tr>
		<td style="background-color:#eae5e5;" ><h1>Ingresos:<br>'.$total_ingresos.' $ </h1></td>
		<td style="background-color:#d8d8d8;" ><h1>Facturado:<br> '.$total_facturador.' $ </h1></td>
		<td style="background-color:#c1c1c1;" ><h1>Deuda:<br>'.$total_deudar.' $ </h1></td>
	</tr>
 </table>
 <br>
  <table border="0">
	<tr>
		<td style="background-color:#ece8e8;" ><h1>Retenciones:<br>'.$suma_retenciones.' $ </h1></td>
		<td style="background-color:#ece8e8;" ><h1>Notas de credito:<br>'.$suma_notas_credito.' $ </h1></td>
		<td style="background-color:#ece8e8;" ><h1>Notas de debitos:<br>'.$total_factura_debito.' $ </h1></td>
	</tr>
 </table>
 <br>

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br>
 <br>
 <b> DETALLE FACTURADO: </b><br>

  <table border="0">
	<tr>
		<td style="background-color:;"> </td>
		<td style="text-align: right;"> MALLCA</td>
		<td style="text-align: right;"><b> TOTAL</b></td>
	</tr>
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;"  > MATADERO: </td>
		<td style="text-align: right;"> '.number_format($monto_matadero_m, 2, ',','.').' $</td>
		<td style="text-align: right;"> '.number_format($total_detalle_matadero, 2, ',','.').' $</td>
	</tr>
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;" > EMBUTIDORA: </td>
		<td style="text-align: right;"> '.number_format($monto_embutidora_m, 2, ',','.').' $</td>
		<td style="text-align: right;"> '.number_format($total_detalle_embutidora, 2, ',','.').' $</td>
	</tr>	
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;" > PLANTA DE HARINA: </td>
		<td style="text-align: right;"> '.number_format($monto_harina_m, 2, ',','.').' $</td>
		<td style="text-align: right;"> '.number_format($total_detalle_harina, 2, ',','.').' $</td>
	</tr>	
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;" > SERICIOS: </td>
		<td style="text-align: right;"> '.number_format($monto_servicio_m, 2, ',','.').' $</td>
		<td style="text-align: right;"> '.number_format($total_detalle_servicio, 2, ',','.').' $</td>
	</tr>	
	<tr>
		<td style="text-align: right;"><b> TOTAL:</b></td>
		<td style="background-color:#f9f9f9; text-align: right;"><b> '.number_format($suma_m_monto, 2, ',','.').' $</b></td>
		<td style="background-color:#f9f9f9; text-align: right;"><b> '.number_format($suma_total_monto, 2, ',','.').' $</b></td>
	</tr>

 </table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br>
 <br>
 <b> DETALLE POR BANCO:</b><br>
  <table border="0">
	<tr style="background-color:#f9f9f9;" >
		<td>BANCO</td>
		<td>TIPO DE TRANSACCION	</td>
		<td style="text-align:right;">MONTO BS</td>
		<td style="text-align:right;">MONTO $</td>
	</tr>
 </table>
 ';
	$consultar_sql_ver_sumax23=mysql_query("select * from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco!='16' GROUP BY tipo_banco ",$link);
	while($ver_consultar_sql_ver_sumax22=mysql_fetch_array($consultar_sql_ver_sumax23)){
	$tipo_banco=$ver_consultar_sql_ver_sumax22['tipo_banco'];
		$consultar_sql_ver_sumax234=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco='$tipo_banco' ",$link);
		$ver_consultar_sql_ver_sumax224=mysql_fetch_array($consultar_sql_ver_sumax234);
		$suma_bolivares=$ver_consultar_sql_ver_sumax224['SUM(monto_trans)']; 
		$suma_dolares=$ver_consultar_sql_ver_sumax224['SUM(monto_dolar)'];
		$consultar_sql_ver=mysql_query("select * from  tabla_banco_xls where id='$tipo_banco'",$link);
		$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver); 
		$id_control_edit=$ver_consultar_sql_ver['id']; 
		$banco_tipo=$ver_consultar_sql_ver['descripcion']; 
$i++;

	$html51[]='
	<table  border="0" >
	  <tr>
		<td>'.$ver_consultar_sql_ver['nombre'].'</td>
		<td>'.$banco_tipo.'</td>
		<td style="text-align:right;">'.number_format($suma_bolivares, 2, ',','.').'</td>
		<td style="text-align:right;">'.number_format($suma_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}
$html_cabecera_fecha='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br><b> DETALLE DE TRANSACCION POR FECHA:</b><br>
  <table border="0">
	<tr style="background-color:#f9f9f9;" >
		<td>FECHA DEL DEPOSITO</td>
		<td style="text-align:right;">MONTO BS</td>
		<td style="text-align:right;">MONTO $</td>
	</tr>
 </table>
';

	$consultar_sql_ver_sumax23=mysql_query("select * from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco!='16' GROUP BY facha_deposito ",$link);
	while($ver_consultar_sql_ver_sumax22=mysql_fetch_array($consultar_sql_ver_sumax23)){
	$facha_deposito=$ver_consultar_sql_ver_sumax22['facha_deposito'];
		$consultar_sql_ver_sumax234=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id,facha_deposito,tipo_banco  from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and facha_deposito='$facha_deposito'  and tipo_banco!='16'  ",$link);
		$ver_consultar_sql_ver_sumax224=mysql_fetch_array($consultar_sql_ver_sumax234);
		$suma_bolivares=$ver_consultar_sql_ver_sumax224['SUM(monto_trans)']; 
		$suma_dolares=$ver_consultar_sql_ver_sumax224['SUM(monto_dolar)'];
		$consultar_sql_ver=mysql_query("select * from  tabla_banco_xls where id='$tipo_banco'",$link);
		$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver); 
		$id_control_edit=$ver_consultar_sql_ver['id']; 
		$banco_tipo=$ver_consultar_sql_ver['descripcion']; 
$j++;

	$html_detalle_fecha[]='
	<table  border="0" >
	  <tr>
		<td>'.$facha_deposito.'</td>
		<td style="text-align:right;">'.number_format($suma_bolivares, 2, ',','.').'</td>
		<td style="text-align:right;">'.number_format($suma_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}
 $htmlx1='
 -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
<b>TOTAL DE VENTAS POR KG. :</b> <br>
 <table border="0">
	<tr>
		<td style="background-color:#ffffff;" ><h1>RC:<br>'.number_format($peso_rc, 2, ',','.').' Kg. </h1></td>
		<td style="background-color:#eae5e5;" ><h1>MALLCA:<br>'.number_format($ver_consultar_sql_ver_sumax3['SUM(peso_factura)'], 2, ',','.').' Kg. </h1></td>
		<td style="background-color:#c1c1c1;" ><h1>TOTAL :<br>'.number_format($peso_total, 2, ',','.').' Kg.  </h1></td>
	</tr>
 </table>
 -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br>
 <br>
 <b> DETALLE DE VENTAS POR KG: </b><br>

  <table border="0">
	<tr>
		<td style="background-color:;" ></td>
		<td style="text-align: right;"> RC Kg.</td>
		<td style="text-align: right;"> MALLCA Kg.</td>
		<td style="text-align: right;"><b> TOTAL Kg.</b></td>
	</tr>
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;" > MATADERO :</td>
		<td  style="text-align: right;"> '.number_format($peso_matadero_rc_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($peso_matadero_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($total_detalle_matadero_p, 2, ',','.').'</td>
	</tr>
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;" > EMBUTIDORA :</td>
		<td  style="text-align: right;"> '.number_format($peso_embutidora_rc_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($peso_embutidora_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($total_detalle_embutidora_p, 2, ',','.').'</td>
	</tr>	
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;" >PLANTA DE HARINA :</td>
		<td  style="text-align: right;"> '.number_format($peso_harina_rc_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($peso_harina_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($total_detalle_harina_p, 2, ',','.').'</td>
	</tr>	
	<tr>
		<td style="background-color:#f9f9f9; text-align: right;" > SERVICIOS :</td>
		<td  style="text-align: right;"> '.number_format($peso_servicio_rc_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($peso_servicio_p, 2, ',','.').'</td>
		<td  style="text-align: right;"> '.number_format($total_detalle_servicio_p, 2, ',','.').'</td>
	</tr>	
	<tr>
		<td  style="text-align: right;"><b> TOTAL :</b></td>
		<td style="background-color:#f9f9f9; text-align: right;"><b> '.number_format($suma_rc_peso, 2, ',','.').'</b></td>
		<td style="background-color:#f9f9f9; text-align: right;"><b> '.number_format($suma_m_peso, 2, ',','.').'</b></td>
		<td style="background-color:#f9f9f9; text-align: right;"><b> '.number_format($suma_total_peso, 2, ',','.').'</b></td>
	</tr>

 </table>
';

$html7='
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
<br>
<br>
<b>SALDOS POR CLIENTES:</b> <br>
<table WIDTH="100%"  border="0">
	<tr style="background-color:#f9f9f9;">
		<td WIDTH="10%">RIF</td>
		<td WIDTH="50%">CLIENTE	</td>
		<td WIDTH="15%" style="text-align:right;" >SALDO PENDIENTE</td>
		<td WIDTH="10%" style="text-align:right;" >SALDO A FAVOR</td>
		<td WIDTH="15%" style="text-align:right;">FACTURAS</td>
	</tr>
</table>
'; 

									$consultar_sql_clientex=mysql_query("select * from  tabla_clintes_xls where eliminar='0'  ORDER BY descripcion ASC",$link);
									while($ver_consultar_sql_clientex=mysql_fetch_array($consultar_sql_clientex)){
									$codigo_clientex=$ver_consultar_sql_clientex['id'];

									$saldo_clientex1=mysql_query("select * from  tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$codigo_clientex' ",$link);
									$ver_saldo_clientex1=mysql_fetch_array($saldo_clientex1);
									
									$consultar_sql_ver_sumax234x=mysql_query("select SUM(monto_dolar),eliminar,fecha_registro,id,cod_cliente from  tabla_anticipo_xls where eliminar='0' and cod_cliente='$codigo_clientex' ",$link);
									$ver_consultar_sql_ver_sumax224x=mysql_fetch_array($consultar_sql_ver_sumax234x);
									
									$consultar_sql_ver_sumax3x=mysql_query("select SUM(monto_dolares),eliminar,fecha_factura,id,cod_cliente,tipo_documento from  tabla_factura_xls where eliminar='0' and  cod_cliente='$codigo_clientex' ",$link);
									$ver_consultar_sql_ver_sumax3x=mysql_fetch_array($consultar_sql_ver_sumax3x);
									
									$monto_dolar_anticipo=$ver_consultar_sql_ver_sumax224x['SUM(monto_dolar)'];
									$monto_dolar_factura=$ver_consultar_sql_ver_sumax3x['SUM(monto_dolares)'];
									$saldo_cliente=$ver_saldo_clientex1['saldo_inicial']*(-1);
									
									$total_deuda=$monto_dolar_factura+$saldo_cliente;
									$salodo_total_x1=$monto_dolar_anticipo-$total_deuda;
										
										$consultar_fecha=mysql_query("select * from  tabla_factura_xls	where eliminar='0' and  cod_cliente='$codigo_clientex' and tipo_documento='0' ORDER BY id DESC ",$link);
										$ver_consultar_fecha=mysql_fetch_array($consultar_fecha);
										$fecha_factx=$ver_consultar_fecha['fecha_factura'];

									if($salodo_total_x1>0){
										$fecha_fact='  ';
										$stlylo='style="text-align:right;"';
										$saldo_a=number_format($salodo_total_x1, 2, ',','.');
										$saldo_b='0.00';
									}	
									if($salodo_total_x1<=0 ){
										$fecha_fact='  ';
										$stlylo='style="text-align:right;"';
										$saldo_bx=$salodo_total_x1*(-1);
										$saldo_b=number_format($saldo_bx, 2, ',','.');
										$saldo_a='0.00';
									}
									if($salodo_total_x1<0 and $fecha_factx!='') {
										$fecha_fact=$ver_consultar_fecha['fecha_factura'];
										$stlylo='style="text-align:right;"';
									}
									if($salodo_total_x1<0 and $fecha_factx=='') {
										$saldo_clientex1x=mysql_query("select * from  tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$codigo_clientex' ",$link);
										$ver_saldo_clientex1x=mysql_fetch_array($saldo_clientex1x);
										$fecha_saldo=$ver_saldo_clientex1x['fecha_ultimo_saldo'];
										$stlylo='style="background-color:#eae5e5; text-align:right;"';
										$fecha_fact=$fecha_saldo;
									}
				


$z++;

	$html52[]='
	<table WIDTH="100%" border="0" >
	  <tr>
		<td WIDTH="10%">'.$ver_consultar_sql_clientex['rif'].'</td>
		<td WIDTH="50%">'.$ver_consultar_sql_clientex['descripcion'].'</td>
		<td WIDTH="15%" style="text-align:right;" >'.$saldo_b.'</td>
		<td WIDTH="10%" style="text-align:right;" >'.$saldo_a.'</td>
		<td '.$stlylo.' WIDTH="15%" >'.$fecha_fact.'</td>
	  </tr> 
	</table>
	 '; 
}									

// Estilo 
$pdf->SetFont('times', '', 8);
// Imprimir contenido
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln(); 
$pdf->writeHTML($html4, true, 0, true, true);
$pdf->Ln();
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html_cabecera_fecha, true, 0, true, true);
$pdf->Ln(1);
	for($x1=0;$x1<=$j;$x1++){
		$pdf->writeHTML($html_detalle_fecha[$x1], true, 0, true, true);
		$pdf->Ln(1);
	} 
$pdf->writeHTML($htmlx1, true, 0, true, true);
$pdf->Ln();
$pdf->SetFont('', '',6, '', 'false');
$pdf->writeHTML($html7, true, 0, true, true);
$pdf->Ln();
$pdf->SetFont('', '',6, '', 'false');
for($x2=0;$x2<=$z;$x2++){
	$pdf->writeHTML($html52[$x2], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->write1DBarcode(''.$fecha_actualxls.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();
$pdf->Output('TOTALIZAR_AMANACU '.$fecha_actualxls.'.pdf', 'I');
?>